ake\section{\report{} May 01, 2020}
\label{sec:2020-05-01-section}

\subsection{Resources}
\label{sec:2020-05-01-resources}

\subsubsection{General reference}
\begin{itemize}
  \item asymptomatic number estimates by
  \begin{itemize}
    \item \href{https://www.reuters.com/article/us-health-coronavirus-prisons-testing-in/in-four-u-s-state-prisons-nearly-3300-inmates-test-positive-for-coronavirus-96-without-symptoms-idUSKCN2270RX}{Reuters in US prisons: 96\%}
    \item \href{https://edition.cnn.com/2020/04/01/europe/iceland-testing-coronavirus-intl/index.html}{CNN in Iceland: up to 50\%}
    \item \href{https://www.scmp.com/news/china/society/article/3076323/third-coronavirus-cases-may-be-silent-carriers-classified}{South China Morning Post in Wuhan: up to 30\%}
    \item \href{https://www.medrxiv.org/content/10.1101/2020.04.17.20053157v1}{Vo': 43.2\%, (95\% CI 32.2-54.7\%)}
    \item \href{https://www.uni-bonn.de/news/111-2020}{Heinsberg Study: 20\%}
  \end{itemize}
  \item excess deaths number estimates by
  \begin{itemize}
    \item \href{https://www.nytimes.com/interactive/2020/04/21/world/coronavirus-missing-deaths.html}{New York Times}
    \item \href{https://www.economist.com/graphic-detail/2020/04/16/tracking-covid-19-excess-deaths-across-countries}{The Economist}
    \item \href{https://www.ft.com/content/6bd88b7d-3386-4543-b2e9-0d5c6fac846c}{Financial Times}
  \end{itemize}
\end{itemize}

\subsubsection{Agent-based models}
\label{sec:2020-05-01-agent-based-models}

\begin{itemize}
  \item \href{https://github.com/cvcssj/COVID19_AgentBasedSimulation}{Python implementation} derived from the work of \href{https://scholar.google.com/citations?user=vOGj1m4AAAAJ}{Prof. Dr. Petrônio Cândido de Lima e Silva}
\end{itemize}

\subsection{Things I did}
\label{sec:2020-05-01-things-I-did}

\subsubsection{Results of the theoretical best model}
\label{sec:2020-05-01-theoretical-model}

The theoretical best model (TBM, from now on) should predict the following:
\begin{itemize}
  \item $S$ should be nearly entire population at start
  \item $S$ should go to $0$ (herd immunity)
  \item $E$ should increase before lockdown, then it should decrease
  \item $I_a$ should increase a lot before lockdown, then it should decrease
  \item $I_q$ should decrease with time
  \item $D$ should tend to a constant value (no more deaths after a long period of time)
  \item latent period in $[15, 25]$ days
\end{itemize}

\subsubsection{SEIIRDP model}
\label{sec:2020-05-01-SEIIRDP-model}
We got the model wrong. Indeed in the current version of the model (see \fg[SEIIRDP-sketch]{})) we consider the $R$ state to have the recovered people (also coming from the  $I_a$ state) but we have no data to fit! The \textit{recovered} people in the data are the ones who recover in the hospital, not considering all the amount recovering from being asymptomatic. I propose a new version of the model (see \fg[fix-sketch-SEIIRDP]{}) with relative equations

\begin{figure}[ht!]
\centering
\includegraphics[width=\wimg{}]{img/2020-05-01/sketch_fixed.png}
\caption{Sketch of suggested SEIIRDP model}
\label{fig:fix-sketch-SEIIRDP}
\end{figure}

\begin{align}
  \frac{\mathrm{d} P(t)}{\mathrm{d} t} &= \alpha S(t) + \tau I_{a}(t)\\
  \frac{\mathrm{d} S(t)}{\mathrm{d} t} &= - \beta \frac{S(t) I_{a}(t)}{N - D(i)} -\alpha S(t)\\
  \frac{\mathrm{d} E(t)}{\mathrm{d} t} &= \beta \frac{S(t) I_{a}(t)}{N - D(i)} - \gamma E(t)\\
  \frac{\mathrm{d} I_{a}(t)}{\mathrm{d} t} &= \gamma E(t) - \delta I_{a}(t) - \tau I_{a}(t)\\
  \frac{\mathrm{d} I_{q}(t)}{\mathrm{d} t} &= \delta I_{a}(t) - \lambda I_{q}(t) - \kappa I_{q}(t)\\
  \frac{\mathrm{d} R(t)}{\mathrm{d} t} &= \lambda I_{q}(t)\\
  \frac{\mathrm{d} D(t)}{\mathrm{d} t} &= \kappa I_{q}(t)
\end{align}

Simulations run on the suggested SEIIRDP model highlight that it matched the theoretical results it should achieve. The simulations have been running on the following initial conditions, achieving a $NRMSE$ (\ie{} normalized $RMSE$) score of $0.02$ for the \no{} positive cases.

\begin{align}
E(0) &= 0.1 \% \text{ population} = 60.48 \cdot 10^3 \\
I_{a}(0) &= 1 \% \text{ population} = 60.48 \cdot 10^4
\end{align}

In particular the simulations highlight that the lockdown in Italy has been effective since $t_{lockdown} =$ 19 March 2020. Moreover:
\begin{todolist}
  \item[\done] $S_0 = S(t = 0) = N - E(09 - I_a(0) - I_q(0) - R(0) - D(0)$
  \item[\done] $\lim_{t \to +\infty} S(t) = 0$
  \item[\done] $\frac{\mathrm{d} E}{\mathrm{d} t} > 0  \forall t < t_{lockdown}$ and $\frac{\mathrm{d} E}{\mathrm{d} t} < 0 \forall t > t_{lockdown}$
  \item[\done] $\frac{\mathrm{d} I_a}{\mathrm{d} t} > 0 \forall t < t_1$ and $\frac{\mathrm{d} I_a}{\mathrm{d} t} < 0 \forall t > t_1, t_1 =$ 28 March 2020 (10 days after $t_lockdown$)
  \item[\done] $\frac{\mathrm{d} I_q}{\mathrm{d} t} < 0 \forall t < t_2, t_2 = $ 20 April 2020
  \item[\done] $\lim_{t \to +\infty} D(t) = 28 \cdot 10^3$
  \item[\done] latent period $= \frac{1}{gamma} =$ 15.23 days
\end{todolist}

\begin{figure}[ht!]
\centering
\includegraphics[width=\wimg{}]{img/2020-05-01/simulation.png}
\caption{Simulation of suggested SEIIRDP model}
\label{fig:simluation-fix-SEIIRDP}
\end{figure}

\subsubsection{Age-stratified SEIIRDP}
\label{sec:2020-05-01-age-stratified-SEIIRDP}

The following are the equations modeling the age-stratified SEIIRDP model with $n$ different classes. $\forall$ population class $i$ we have

\begin{align}
\frac{\mathrm{d} P^i(t)}{\mathrm{d} t} &= \alpha_{i} S^i(t) + \tau I_{a}^i (t)\\
\frac{\mathrm{d} S^i(t)}{\mathrm{d} t} &= - \beta_{i1} \frac{S^i(t) I_a^1(t)}{N - D^i(t)} - \ldots - \beta_{ik} \frac{S^i(t) I_a^n(t)}{N - D^i(t)} - \alpha_{i} S^i(t)\\
&= - \frac{S^i(t)}{N - D^i(t)} \sum_{j=1} ^n \beta_{ij} I_a^j(t) - \alpha_{i} S^i(t)\\
\frac{\mathrm{d} E^i(t)}{\mathrm{d} t} &= \beta_{i1} \frac{S^i(t) I_a^1(t)}{N - D^i(t)} + \ldots + \beta_{ik} \frac{S^i(t) I_a^n(t)}{N - D^i(t)} - \gamma_i E^i(t)\\
&= \frac{S^i(t)}{N - D^i(t)} \sum_{j=1} ^n \beta_{ij} I_a^j(t) - \gamma_i E^i(t)\\
\frac{\mathrm{d} I_a^i(t)}{\mathrm{d} t} &= \gamma_i E^i(t) - \delta_i I_a^i(t) - \tau_i I_a^i(t)\\
\frac{\mathrm{d} I_q^i(t)}{\mathrm{d} t} &= \delta_i I_a^i(t) - \lambda_i I_q^i(t) - \kappa_i I_q^i(t) = \delta_i I_a^i(t) - (\lambda_i + \kappa_i) I_q^i(t)\\
\frac{\mathrm{d} R^i(t)}{\mathrm{d} t} &= \lambda_i I_q^i(t)\\
\frac{\mathrm{d} D^i(t)}{\mathrm{d} t} &= \kappa_i I_q^i(t)
\end{align}

where
\begin{conditions}
S^i(t) &= \no{} susceptible cases (\ie{} who can catch the virus) at time t\\
E^i(t) &= \no{} exposed cases at time t, \eg{} susceptible cases\\
       & who got in contact with infected cases\\
I_{a}^i(t) &= \no{} asymptomatic (infected) cases at time t\\
I_{q}^i(t) &= \no{} symptomatic (infected) cases at time t, \eg{} who tested positive\\
       & and thus is immediately home-confined or hospitalized\\
R^i(t) &= \no{} recovered cases at time t\\
D^i(t) &= \no{} death cases at time t\\
P^i(t) &= \no{} not susceptible cases (\ie{} who is protected) at time t\\
N &= \no{} total population
\end{conditions}
Considering the whole population we have that for the $P$ state

\begin{align}
\frac{\mathrm{d} P(t)}{\mathrm{d} t} &= \frac{\mathrm{d} P^1(t)}{\mathrm{d} t} + \ldots + \frac{\mathrm{d} P^n(t)}{\mathrm{d} t}\\
&= \sum_{i = 1}^n \frac{\mathrm{d} P^i(t)}{\mathrm{d} t}\\
&= \sum_{i = 1}^n \alpha_{i} S^i(t) + \tau_i I_a^i(t)
\end{align}

and extending the same reasoning to the other states we have that

\begin{align}
\frac{\mathrm{d} P(t)}{\mathrm{d} t} &= \sum_{i = 1}^n \alpha_{i} S^i(t) + \tau_i I_a^i(t)\\
\frac{\mathrm{d} S(t)}{\mathrm{d} t} &= \sum_{i = 1}^n - \frac{S^i(t)}{N - D^i(t)} \sum_{j=1} ^n \left( \beta_{ij} I_a^j(t) - \alpha_{i} S^i(t) \right)\\
&= -\sum_{i = 1}^n \frac{S^i(t)}{N - D^i(t)} \sum_{j=1} ^n \left( \beta_{ij} I_a^j(t) - \alpha_{i} S^i(t) \right)\\
\frac{\mathrm{d} E(t)}{\mathrm{d} t} &= \sum_{i = 1}^n \frac{S^i(t)}{N - D^i(t)} \sum_{j=1} ^n \left(\beta_{ij} I_a^j(t) - \gamma_i E^i(t)\right)\\
\frac{\mathrm{d} I_a(t)}{\mathrm{d} t} &= \sum_{i = 1}^n \gamma_i E^i(t) - \delta_i I_a^i(t) - \tau_i I_a^i(t)\\
\frac{\mathrm{d} I_q(t)}{\mathrm{d} t} &= \sum_{i = 1}^n \delta_i I_a^i(t) - (\lambda_i + \kappa_i) I_q^i(t)\\
\frac{\mathrm{d} R(t)}{\mathrm{d} t} &= \sum_{i = 1}^n \lambda_i I_q^i(t)\\
\frac{\mathrm{d} D(t)}{\mathrm{d} t} &= \sum_{i = 1}^n \kappa_i I_q^i(t)
\end{align}

In order to solve such PDE system we get the matrix version of the system. Thus, $\forall$ population class $i$ we have

\begin{equation}
X_i = A_i \times Y_i + F_i
\end{equation}

where

\[
X_i =
\begin{bmatrix}
\frac{\mathrm{d} S^i(t)}{\mathrm{d} t}\\
\frac{\mathrm{d} E^i(t)}{\mathrm{d} t}\\
\frac{\mathrm{d} I_a^i(t)}{\mathrm{d} t}\\
\frac{\mathrm{d} I_q^i(t)}{\mathrm{d} t}\\
\frac{\mathrm{d} R^i(t)}{\mathrm{d} t}\\
\frac{\mathrm{d} D^i(t)}{\mathrm{d} t}\\
\frac{\mathrm{d} P^i(t)}{\mathrm{d} t}
\end{bmatrix},
Y_i =
\begin{bmatrix}
S^i(t)\\
E^i(t)\\
I_a^i(t)\\
I_q^i(t)\\
R^i(t)\\
D^i(t)\\
P^i(t)
\end{bmatrix}
\]

\[
A_i =
\begin{bmatrix}
-\alpha_i & 0 & 0 & 0 & 0 & 0 & 0\\
0 & -\gamma_i & 0 & 0 & 0 & 0 & 0\\
0 & \gamma_i & -\delta_i - \tau_i & 0 & 0 & 0 & 0\\
0 & 0 & \delta_i & -\kappa_i - \lambda_i & 0 & 0 & 0\\
0 & 0 & 0 & \lambda_i & 0 & 0 & 0\\
0 & 0 & 0 & \kappa_i & 0 & 0 & 0\\
\alpha_i & 0 & \tau_i & 0 & 0 & 0 & 0
\end{bmatrix},
F_i =
\begin{bmatrix}
- \frac{S^i(t)}{N - D^i(t)} \sum_{j=1} ^n \beta_{ij} I_a^j(t)\\
\frac{S^i(t)}{N - D^i(t)} \sum_{j=1} ^n \beta_{ij} I_a^j(t)\\
0\\
0\\
0\\
0\\
0
\end{bmatrix}
\]

\subsubsection{FN model}
\label{sec:2020-05-01-fn-model}
Due to suggestions I drafted the FN model that takes into account the undetected deaths, considering that the estimate of asymptomatic people before the lockdown could have reached 40\% of the total confirmed cases. The following (\fg[fn-model-sketch]{}) is the scheme along with the equations. I ran some simulations (\fg[fn-model-simulation]{}) considering the starting status being $(E(0) = 2 \% \text{ population}, I_{u}(0) = 1 \% \text{ population})$ and the number of undetected dead cases 36\% of the confirmed dead cases (as suggested by \href{https://www.corriere.it/dataroom-milena-gabanelli/morti-covid-tutte-bugie-dell-europa-ecco-dati-reali/1c28ca00-88b3-11ea-96e3-c7b28bb4a705-va.shtml}{Gabanelli}) that resulted in a average $NRMSE$ score of $0.041$ (considering \no{} confirmed, recovered and dead cases).

\begin{figure}[ht!]
\centering
\includegraphics[width=\wimg{}]{img/2020-05-01/modelFN.png}
\caption{Sketch of FN model}
\label{fig:fn-model-sketch}
\end{figure}

\begin{align}
\frac{\mathrm{d} P(t)}{\mathrm{d} t} &= \alpha S(t) + \tau I_{u}(t)\\
\frac{\mathrm{d} S(t)}{\mathrm{d} t} &= - \beta \frac{S(t) I_{u}(t)}{N - D(i)} -\alpha S(t)\\
\frac{\mathrm{d} E(t)}{\mathrm{d} t} &= \beta \frac{S(t) I_{u}(t)}{N - D(i)} - \gamma E(t)\\
\frac{\mathrm{d} I_{u}(t)}{\mathrm{d} t} &= \gamma E(t) - \delta I_{u}(t) - \tau I_{u}(t) - \rho I_{u}(t)\\
\frac{\mathrm{d} I_{q}(t)}{\mathrm{d} t} &= \delta I_{u}(t) - \lambda I_{q}(t) - \kappa I_{q}(t)\\
\frac{\mathrm{d} R(t)}{\mathrm{d} t} &= \lambda I_{q}(t)\\
\frac{\mathrm{d} D(t)}{\mathrm{d} t} &= \kappa I_{q}(t) + \rho I_{u}(t)
\end{align}

\begin{figure}[ht!]
\centering
\includegraphics[width=\wimg{}]{img/2020-05-01/simulationFN.png}
\caption{Simulation of FN model}
\label{fig:fn-model-simulation}
\end{figure}
